Ubuntu

More granular font selection for the default install

Reported by Denis Moyogo Jacquerye on 2006-05-04
26
Affects Status Importance Assigned to Milestone
Baltix
Wishlist
Unassigned
edubuntu-meta (Ubuntu)
Wishlist
Unassigned
kubuntu-meta (Ubuntu)
Wishlist
Unassigned
ubuntu-meta (Ubuntu)
Wishlist
Benjamin Mako Hill
xubuntu-meta (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: ubuntu-desktop

There are 100+ fonts installed with a normal *Ubuntu install.

This is way too many fonts, many including Latin characters from other standard fonts therefore all looking alike for Latin script. Some packages install decorative fonts or experimental fonts which should be in other packages.

This report is there to keep track of the specific bugs in each font package required by *ubuntu-desktop.

Denis Moyogo Jacquerye (moyogo) wrote :

Depends on Bug #42922 for ttf-arabeyes

Michiel Sikma (msikma) wrote :

I think that in the long run, there might have to be made a font manager for Ubuntu that is able to turn collections of fonts on and off. So you could have a "default" collection which includes system-imperative fonts such as Bitstream Vera Sans, and a "miscellaneous" collection for all fonts besides those, which is disabled by default. All new fonts that packages install would be automatically thrown in an "installed by packages" collection.

This is a simple but great way of managing fonts, but I doubt an idea like this could be done before the release of 6.06...

Denis Moyogo Jacquerye (moyogo) wrote :

true, but 100+ fonts could probably be reduced by half, if not by more.

Michiel Sikma (msikma) wrote :

Well, you're right about that. I remember using OpenOffice for the first time and liking it except for the fact that I had to scroll through an absolutely MASSIVE list just to get to the default sans font.

Very few users will ever install fonts on their computer, I believe. It's one of the things that the typical user just doesn't seem to like doing. A nice amount of fonts might be around 20. 4 of those are default system fonts (the Bitstream family), then there must be a few international fonts, and the other around 10 could be fonts for usage in office programs (the "Comic Sans"-esque fonts).

Denis Moyogo Jacquerye (moyogo) wrote :

About the Bitstream family being the default:
I'd much rather see DejaVu LGC Sans as the default. It's a Bitstream derivative with added Latin characters (covering many minority languages), added Cyrillic and Greek. It also aims at keeping the same quality as Bitsream Vera fonts, i.e. hinting, kerning and other basic or advanced features.

We recently added Arabic Script to DejaVu Sans, but since it is unhinted and inappropriate for some users, DejaVu LGC Sans is more suited to be a default font.

see Bug #40553 for DejaVu LGC Sans

20 is not enough for all the Scripts currently supported by default, but could be done if more fonts are installed through language support instead of by default.
I don't think that many users care about all those Scripts, I'm sure there's a better way to make sure these fonts are installed for the users that care.

Michiel Sikma (msikma) wrote :

Oh, that's nice, I didn't know something like that was in the making. If you guys are working on an extended version of Bitstream, are you going to fix some of the kerning errors in it as well?

I think it's pretty okay to use an extended version of the famous font we all know and love as default font, if the changes didn't compromise the quality of the font and if it doesn't have any severe incompletions or shortcomings. But yeah, we should probably discuss that further on bug #40553.

As for 20 not being enough: it doesn't really matter what the final amount of fonts will be, as long as there are fonts that cover most of the important Unicode range and some "fantasy" fonts that users can make fancy office documents with (I personally despise that but it seems that a lot of people love it).

What do you think about the idea of a font manager, though? I think it would make a lot of problems go away, if anyone's willing to take up the making of it.

Denis Moyogo Jacquerye (moyogo) wrote :

As a comparison, here's a list of Standard Windows fonts: http://www.kayskreations.net/fonts/fonttb.html . Windows XP has about 60 fonts by default with a few international ones.

Mac OS X: http://docs.info.apple.com/article.html?artnum=25710
comes with 74 fonts, including many simplified/traditional Chinese and Japanese, and a few Korean and Arabic ones. Out of which 15 can be removed after install.
Some other 39 international fonts are also avaible for install.

> What do you think about the idea of a font manager, though? I think it would make a lot of problems go away, if anyone's willing to take up the making of it.

I totally agree with the idea. There should be some application to
organize fonts as well as a better interface to select them in apps.
The idea is already in the Summer of Code/Gnome page:
http://live.gnome.org/SummerOfCode2006/Ideas

I like the thought of a few international fonts so that web pages/Documents from those languages can mix English and <other language> without it looking *completely* awful. The ones that I would say I run into most often in order of highest occurrence:

Japanese
Chinese
Russian/Cyrillic
Arabic
Korean
Sanskrit? (some Indian script)

from http://packages.ubuntu.com/dapper/base/ubuntu-desktop

Coverage after default install:

* Japanese
ttf-kochi-gothic and ttf-kochi-mincho (2 fonts)
-- bitmapped at some font sizes, ttf-kochi-*-naga10 would be better (hinted) but is marked as non-free

* Chinese
ttf-arphic-* covers Chinese simplified/traditional (2 fonts)
-- one bitmapped at some font sizes and one unhinted

* Cyrillic, Latin, Greek
ttf-dejavu (7 fonts), ttf-freefont (3 fonts), cover Cyrillic, Basic Latin is covered by almost every font, but only these fonts handle minority languages. These two and ttf-mgopen, ttf-gentium cover Greek well. ttf-gentium covers a lot of minority languages in Latin/Greek but still lacks some useful OpenType features for diacritics.

* Arabic
ttf-arabeyes is mostly decorative fonts (38 fonts)
-- ttf-kacst has 11 Arabic fonts instead of 38 but they are not hinted. Neither ttf-kacst nor ttf-arabeyes support Farsi completely, ttf-farsiweb would help

* Korean
ttf-baekmuk (4 fonts) has hinted fonts.
-- has ugly Latin characters (not well hinted)

* Indic scripts
ttf-indic-fonts pushes several others font packages

I think ttf-arabeyes should be split because of all the decorative fonts. Its fonts are hinted so it might be better than ttf-kacst fonts.

The CJK fonts are hard to replace or reduce by number.
The problem with bitmapped fonts is that they are not anti-aliased as hinted or unhinted fonts, this makes them even sharper than well hinted fonts. My personal preference is for well hinted fonts. Could someone more knowledgeable in CJK review these fonts?

DejaVu should really be split (ttf-dejavu contains some experimental fonts) and the default should probably be LGC Sans so Arabic script defaults on a hinted font (DejaVu Sans' Arabic is not currently hinted).

atie (atie-at-matrix) wrote :

So far as Korean fonts are concerned fonts in ttf-baekmuk look uglier than ttf-unfonts or ttf-alee, but latter two ttf fonts packages are not installed by ubuntu-desktop. And, I, ATM, prefer to have them as "Depends" of language-support-ko, which means per language basis. Replacing ttf-baemuk with maybe ttf-unfonts should be done with upstream fontconfig so it's difficult to proceed, and a common preference by Korean users isn't yet strong for it, IMO.

For CJK fonts, you may see some useful info from the font configurations in /usr/share/language-selector/fontconfig/. Some of fonts in the configurations are not also installed by default (or can't be installed or even not mentioned due to license issue). Anyway, for CJK fonts, preferences and properties such as AA and hinting are already well defined in the language-selector package.

`fc-list :lang=ko` does not list fonts from ttf-alee, it doesn't seem to cover Korean completely for full usage.

ttf-unfonts are not hinted, so its fonts will look blurry at small or medium sizes.

Rejecting tasks assigned to binary packages that should not be there

This remains open on ubuntu-meta

Changed in edubuntu-desktop:
status: Unconfirmed → Rejected
Changed in kubuntu-desktop:
status: Unconfirmed → Rejected
Changed in xubuntu-desktop:
status: Unconfirmed → Rejected
Changed in edubuntu-desktop:
status: Unconfirmed → Rejected

There is a need for a font supporting Georgian: https://lists.ubuntu.com/archives/ubuntu-devel/2006-March/016227.html
But ttf-bpg-georgian also installs BPG_Chveulebrivi.ttf which is "very ugly" and BPG_Glaho.ttf is the one which should be used since it is nicer. Maybe split ttf-bpg-georgian into two packages and install the one with Glaho with *ubuntu-desktop.

Assigning bug to makko

Changed in ubuntu-meta:
assignee: nobody → makko
Changed in ubuntu-meta:
assignee: makko → mako
Matt Zimmerman (mdz) wrote :

Mako, is this covered by any of the font discussions at the Paris summit?

Nicolas Spalinger (yosch) wrote :

yes, in Paris and then also later on at the GUADEC in Vilanova where there was a font BoF, we agreed that we need to set up a review process for each locale to define the most appropriate font (the criteria being quality of glyphs, Unicode coverage and freeness) to optimize the overall font set and its packaging (in relation with the language packs and fontconfig tuning). The work on this continues.

The sole purpose of this is so that if I visit a non-English web page, it shows up properly (i.e. in the language I can't read)?

I hate the "?"s as much as anyone, but I'd like to see a line drawn somewhere. Maybe 5, like Andy Somerville suggested above. Or, give me ONE font with every single code point, because I believe all the duplication hurts the usability of every single font dialog.

Alexander Butenko (avb) wrote :

I'm fully agree with atie. All this fonts which is in recommends to ubuntu-desktop should be Recommends or Depends for language-support-* packages. Not to ubuntu. Big part of ubuntu users need only Latin fonts. The rest is installing their language support package.
According to me i'm wiping all this xfonts* packages except -base and just installing msttcorefonts which is suite all my needs.
First of all it will decrease base desktop install size. Second it will make list of fonts smaller. Third it will reduse download and installation time for users who is installing ubuntu via http//ftp.

Alexander Butenko (avb) wrote :

Andy Grover, whats the difference to see chineese, japanise or russian letters if you dont understand them? :)

I think that it should be possible to reduce the amount of default
fonts without giving up on the most often used writing systems. I
personally think that it's important that users of Arabic, Hebrew,
Devanagari, Cyrillic, and eastern logographic writing systems, should
be supported out of the box. I'm not aware of how big out user base
that uses these systems is, but at the very least it makes sense to
give these people the opportunity to work in their native language
without installing anything separately, for the operating system
calling itself "Linux for human beings".

I'm sure it's our best try to reduce the amount of fonts we have to
an absolute minimum, including only the basic Web fonts and some
basic non-Latin writing system support.

On Feb 5, 2008, at 1:53 AM, avb wrote:

> I'm fully agree with atie. All this fonts which is in recommends to
> ubuntu-desktop should be Recommends or Depends for language-support-
> * packages. Not to ubuntu. Big part of ubuntu users need only Latin
> fonts. The rest is installing their language support package.
> According to me i'm wiping all this xfonts* packages except -base
> and just installing msttcorefonts which is suite all my needs.
> First of all it will decrease base desktop install size. Second it
> will make list of fonts smaller. Third it will reduse download and
> installation time for users who is installing ubuntu via http//ftp.
>
> --
> More granular font selection for the default install
> https://bugs.launchpad.net/bugs/42926
> You received this bug notification because you are a direct subscriber
> of the bug.

Alexander Butenko (avb) wrote :

guys, any movements here?

philinux (philcb) wrote :

Once a user selects there chosen language that should be it. The fonts are all available to install should a user need them.

Michiel Sikma (msikma) wrote :

It wouldn't be a bad idea to include some other fonts to cover some
of the more common scripts. I'd be more interested in having default
support for Simplified Chinese than a bunch of fancy Latin fonts that
you hardly ever use. Only the basics should be supplied.

Michiel Sikma
<email address hidden>

On 1-dec-2008, at 16:57, philinux wrote:

> Once a user selects there chosen language that should be it. The fonts
> are all available to install should a user need them.
>
> --
> More granular font selection for the default install
> https://bugs.launchpad.net/bugs/42926
> You received this bug notification because you are a direct subscriber
> of the bug.

sam tygier (samtygier) wrote :

an auto font installer ought to be used to add non-latin fonts when needed. http://blogs.gnome.org/hughsie/2008/12/01/packagekit-and-pango-are-now-friends/

Michiel Sikma (msikma) wrote :

We should still define some kind of default, perhaps based on
region. You may not need Mongolian right away, but it might be
annoying to have to regularly deal with pop-ups that tell you to
install a font. It kind of bugs me, like Richard Hughes remarked in
that blog post, that you cannot easily turn off the notifications.

Michiel Sikma
<email address hidden>

On 3-dec-2008, at 16:44, sam tygier wrote:

> an auto font installer ought to be used to add non-latin fonts when
> needed. http://blogs.gnome.org/hughsie/2008/12/01/packagekit-and-
> pango-
> are-now-friends/
>
> --
> More granular font selection for the default install
> https://bugs.launchpad.net/bugs/42926
> You received this bug notification because you are a direct subscriber
> of the bug.

Alexander Butenko (avb) wrote :

the problem is that system acts way faster once there is not a lot of fonts installed there.
We have enought time for the next release in order to take care of this bug i think.

What about my proposal to put fonts as a depends to language-pack-* packages? That will be the simplest and good working solution.

Michiel Sikma (msikma) wrote :

How about we make two packages--one which contains a set of basic
fonts for various scripts (Chinese, Hindi) and another which contains
"extra" fonts that are not really necessary. The two have separate
meanings, one is practical and the other is mainly for those who want
to use the fonts for, say, their OpenOffice documents.

We should keep in mind that users might not want to have the language
pack, yet still want to read documents made with the script. People
who natively speak English but work together with an Indian company,
for example.

Michiel Sikma
<email address hidden>

On 12-dec-2008, at 17:44, Alexander Butenko wrote:

> the problem is that system acts way faster once there is not a lot
> of fonts installed there.
> We have enought time for the next release in order to take care of
> this bug i think.
>
> What about my proposal to put fonts as a depends to language-pack-*
> packages? That will be the simplest and good working solution.
>
> --
> More granular font selection for the default install
> https://bugs.launchpad.net/bugs/42926
> You received this bug notification because you are a direct subscriber
> of the bug.

Alexander Butenko (avb) wrote :

Michiel,

Please visit System->Administration->Language support. Unfold 'Details' and select 'Arabic'. You will see that u can install 'Additional Fonts' there. So everything is here in order to take out 'extra' fonts from ubuntu-desktop.

Once user need indian or japanise, he goes to 'Language Support' and select to install 'extra fonts' for needed language.

Looks like really user friendly for me.

Michiel Sikma (msikma) wrote :

(Although I kind of feel like I'm beating a dead horse here) I feel that it's good for the system to have basic support for other scripts. I'm just taking a couple of fonts included in the default install that will add support for the most common scripts for documents and browsers—not the full workup including IMEs and other software.

The reason is partially because I feel that the system would be incomplete if some websites' contents spontaneously turned into squares with hexadecimal character code indicators. Practically, it's also because to get a font for a different script installed by default, one needs to choose that as the system language during the install. Translations into different languages are still far from perfect, however. I presume some people are using English rather than their native language for that reason.

Thomas Hotz (thotz) on 2012-10-02
Changed in ubuntu-meta (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers